//*************************************************************
//	   Java application
//			uImageAnimationTestv
//
//@@@@@@@@@@@@ҁF[g؁@@@
//@@@@@@@@@@쐬JnFQOOU^U
//@@@@@@@@@@ŏIXVFQOOU^U      [TN084/J74]
//*************************************************************
import java.awt.*;
import java.io.File;
import javax.swing.*;

public class ImageAnimationTest extends JFrame{
	//EclipsȅꍇAVACY\NXłꂪȂƌxo
	private static final long serialVersionUID=0;
	//
	public static void main(String[] args) {
		ImageAnimationTest frame=new ImageAnimationTest();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);	//E~ŏI
		frame.setVisible(true);
		frame.setLocationRelativeTo(null);	//ʂ̐^񒆂ɕ\
	}
	//
	Image[] images1;
	Image[] images2;
	Image[] images3;
	//RXgN^
	public ImageAnimationTest(){
		setTitle("ImageAnimationTest");
		setSize(400,500);
		//Applecationł̃C[W擾@̂PiMediaTrackergȂĂ炵j
		ImageIcon[] imageIcon=new ImageIcon[4];
		images1=new Image[4];
		for(int i=0;i<4;i++){
			imageIcon[i]=new ImageIcon(getClass().getResource("image/0"+(i+1)+".gif"));
			images1[i]=imageIcon[i].getImage();
		}
		//Applecationł̃C[W擾@̂Q
		images2=new Image[4];
		MediaTracker mt=new MediaTracker(this);
		for(int i=0;i<4;i++){
			images2[i]=Toolkit.getDefaultToolkit().getImage("image/0"+(i+1)+".gif");
			mt.addImage(images2[i],0);
		}
		try{
			mt.waitForID(0);
		}catch(InterruptedException e){
		}
		//Applecationł̃C[W擾@̂R
		images3=new Image[4];
		String dir=System.getProperty("user.dir")+File.separator;
		mt=new MediaTracker(this);
		for(int i=0;i<4;i++){
			images3[i]=Toolkit.getDefaultToolkit().getImage(dir+"image/0"+(i+1)+".gif");
			mt.addImage(images3[i],0);
		}
		try{
			mt.waitForID(0);
		}catch(InterruptedException e){
		}
		//Aj[Vp̐ppl
		AnimationPanel animationPanel=new AnimationPanel();
		//Reig
		Container cp=getContentPane();
		cp.add(animationPanel);
	}
	//swingł͕`pɒgLqpl˂΂ȂȂiNXj
	class AnimationPanel extends JPanel implements Runnable {
		//EclipsȅꍇAVACY\NXłꂪȂƌxo
		private static final long serialVersionUID=0;
		//
		private Thread thisThread;
		//RXgN^
		public AnimationPanel(){
			//wiFݒ肵Ă
			setBackground(Color.BLACK);
			//
			thisThread=new Thread(this);
			thisThread.start();
		}
		//swingɂ`惁\bh
		public void paintComponent(Graphics g){
			super.paintComponent(g);	//KviꂪȂƔwiFœhԂȂj
			//pl̃TCYςɏڂ`iׂAm߂邽߁j
			g.setColor(Color.GRAY);
			for(int w=1;w<getWidth()/10;w++){
				g.drawLine(w*10,10,w*10,getHeight()-10);
			}
			for(int h=1;h<getHeight()/10;h++){
				g.drawLine(10,h*10,getWidth()-10,h*10);
			}
			//
			for(int i=0;i<4;i++){
				g.drawImage(images2[i],(int)(Math.random()*getWidth()),(int)(Math.random()*getHeight()),this);
				g.drawImage(images2[i],(int)(Math.random()*getWidth()),(int)(Math.random()*getHeight()),this);
				g.drawImage(images3[i],(int)(Math.random()*getWidth()),(int)(Math.random()*getHeight()),this);
			}
		}
		//莞ԂƂɍĕ`iɂ͉Ȃj
		public void run() {
			while(true){
				try{
					Thread.sleep(300);
				}catch(InterruptedException e){
				}
				repaint();
			}
		}
	}

}
